org.apache.xmlbeans.impl.xb.xsdschema

## Interface DocumentationDocument.Documentation

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    DocumentationDocumentImpl.DocumentationImpl
  Enclosing interface:
    DocumentationDocument

      public static interface DocumentationDocument.Documentation
      extends XmlObject

  An XML documentation(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ElementFactory<DocumentationDocument.Documentation>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the "lang" attribute
    `String` | `getSource()` Gets the "source" attribute
    `boolean` | `isSetLang()` True if has "lang" attribute
    `boolean` | `isSetSource()` True if has "source" attribute
    `void` | `setLang(String lang)` Sets the "lang" attribute
    `void` | `setSource(String source)` Sets the "source" attribute
    `void` | `unsetLang()` Unsets the "lang" attribute
    `void` | `unsetSource()` Unsets the "source" attribute
    `LangAttribute.Lang` | `xgetLang()` Gets (as xml) the "lang" attribute
    `XmlAnyURI` | `xgetSource()` Gets (as xml) the "source" attribute
    `void` | `xsetLang(LangAttribute.Lang lang)` Sets (as xml) the "lang" attribute
    `void` | `xsetSource(XmlAnyURI source)` Sets (as xml) the "source" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<DocumentationDocument.Documentation> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSource

          String getSource()

      Gets the "source" attribute

    - #### xgetSource

          XmlAnyURI xgetSource()

      Gets (as xml) the "source" attribute

    - #### isSetSource

          boolean isSetSource()

      True if has "source" attribute

    - #### setSource

          void setSource(String source)

      Sets the "source" attribute

    - #### xsetSource

          void xsetSource(XmlAnyURI source)

      Sets (as xml) the "source" attribute

    - #### unsetSource

          void unsetSource()

      Unsets the "source" attribute

    - #### getLang

          String getLang()

      Gets the "lang" attribute

    - #### xgetLang

          LangAttribute.Lang xgetLang()

      Gets (as xml) the "lang" attribute

    - #### isSetLang

          boolean isSetLang()

      True if has "lang" attribute

    - #### setLang

          void setLang(String lang)

      Sets the "lang" attribute

    - #### xsetLang

          void xsetLang(LangAttribute.Lang lang)

      Sets (as xml) the "lang" attribute

    - #### unsetLang

          void unsetLang()

      Unsets the "lang" attribute